WebSphereSSLSettings (CMDB Model API)
Keywords: com.collation.platform.model.topology.app.j2ee.websphere.WebSphereSSLSettings interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.app.j2ee.websphere
Interface WebSphereSSLSettings

All Superinterfaces:
  LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable, SSLSettings

    public interface WebSphereSSLSettings

extends SSLSettings

SSL Settings for a WebSphere Server

Naming Rules:
  0="parent,alias"
Persistable:
  true
Table Name:
  WASSSL
Display Name:
  alias

Field Summary

Fields inherited from interface com.collation.platform.model.topology.core.ManagedElement
`IBM_COPYRIGHT`

Method Summary
`java.lang.String` | `getAlias()`
`boolean` | `getClientAuthentication()`
`java.lang.String` | `getClientKeyAlias()`
`boolean` | `getDefault()`
`boolean` | `getEnableCryptoHardwareSupport()`
`java.lang.String` | `getKeyFileFormat()`
`java.lang.String` | `getKeyFileName()`
`WebSphereGlobalSecuritySettings` | `getParent()`
`java.lang.String` | `getSecurityLevel()`
`java.lang.String` | `getServerKeyAlias()`
`java.lang.String` | `getTrustFileFormat()`
`java.lang.String` | `getTrustFileName()`
`boolean` | `hasAlias()`
`boolean` | `hasClientAuthentication()`
`boolean` | `hasClientKeyAlias()`
`boolean` | `hasDefault()`
`boolean` | `hasEnableCryptoHardwareSupport()`
`boolean` | `hasKeyFileFormat()`
`boolean` | `hasKeyFileName()`
`boolean` | `hasParent()`
`boolean` | `hasSecurityLevel()`
`boolean` | `hasServerKeyAlias()`
`boolean` | `hasTrustFileFormat()`
`boolean` | `hasTrustFileName()`
`void` | `setAlias(java.lang.String alias)`
`void` | `setClientAuthentication(boolean clientAuthentication)`
`void` | `setClientKeyAlias(java.lang.String clientKeyAlias)`
`void` | `setDefault(boolean flag)`
`void` | `setEnableCryptoHardwareSupport(boolean enableCryptoHardwareSupport)`
`void` | `setKeyFileFormat(java.lang.String keyFileFormat)`
`void` | `setKeyFileName(java.lang.String keyFileName)`
`void` | `setParent(WebSphereGlobalSecuritySettings parent)`
`void` | `setSecurityLevel(java.lang.String securityLevel)`
`void` | `setServerKeyAlias(java.lang.String serverKeyAlias)`
`void` | `setTrustFileFormat(java.lang.String trustFileFormat)`
`void` | `setTrustFileName(java.lang.String trustFileName)`

Methods inherited from interface com.collation.platform.model.topology.app.SSLSettings
`getAcceptCaCertificateFiles, getCaCertificateFile, getCertificateFile, getCipherSuite, getPrivateKeyFile, getRevokeCaCertificateFiles, getSessionCacheTimeout, getSslEnabled, getSslPort, hasAcceptCaCertificateFiles, hasCaCertificateFile, hasCertificateFile, hasCipherSuite, hasPrivateKeyFile, hasRevokeCaCertificateFiles, hasSessionCacheTimeout, hasSslEnabled, hasSslPort, setAcceptCaCertificateFiles, setCaCertificateFile, setCertificateFile, setCipherSuite, setPrivateKeyFile, setRevokeCaCertificateFiles, setSessionCacheTimeout, setSslEnabled, setSslPort`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Method Detail

### getParent

    WebSphereGlobalSecuritySettings getParent()
                                              throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Uses" reverse="true"

### setParent

    void setParent(WebSphereGlobalSecuritySettings parent)

### hasParent

    boolean hasParent()

### getAlias

    java.lang.String getAlias()
                              throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setAlias

    void setAlias(java.lang.String alias)

### hasAlias

    boolean hasAlias()

### getDefault

    boolean getDefault()
                       throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setDefault

    void setDefault(boolean flag)

### hasDefault

    boolean hasDefault()

### getKeyFileName

    java.lang.String getKeyFileName()
                                    throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setKeyFileName

    void setKeyFileName(java.lang.String keyFileName)

### hasKeyFileName

    boolean hasKeyFileName()

### getKeyFileFormat

    java.lang.String getKeyFileFormat()
                                      throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setKeyFileFormat

    void setKeyFileFormat(java.lang.String keyFileFormat)

### hasKeyFileFormat

    boolean hasKeyFileFormat()

### getClientKeyAlias

    java.lang.String getClientKeyAlias()
                                       throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setClientKeyAlias

    void setClientKeyAlias(java.lang.String clientKeyAlias)

### hasClientKeyAlias

    boolean hasClientKeyAlias()

### getServerKeyAlias

    java.lang.String getServerKeyAlias()
                                       throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setServerKeyAlias

    void setServerKeyAlias(java.lang.String serverKeyAlias)

### hasServerKeyAlias

    boolean hasServerKeyAlias()

### getTrustFileName

    java.lang.String getTrustFileName()
                                      throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setTrustFileName

    void setTrustFileName(java.lang.String trustFileName)

### hasTrustFileName

    boolean hasTrustFileName()

### getTrustFileFormat

    java.lang.String getTrustFileFormat()
                                        throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setTrustFileFormat

    void setTrustFileFormat(java.lang.String trustFileFormat)

### hasTrustFileFormat

    boolean hasTrustFileFormat()

### getClientAuthentication

    boolean getClientAuthentication()
                                    throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setClientAuthentication

    void setClientAuthentication(boolean clientAuthentication)

### hasClientAuthentication

    boolean hasClientAuthentication()

### getSecurityLevel

    java.lang.String getSecurityLevel()
                                      throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setSecurityLevel

    void setSecurityLevel(java.lang.String securityLevel)

### hasSecurityLevel

    boolean hasSecurityLevel()

### getEnableCryptoHardwareSupport

    boolean getEnableCryptoHardwareSupport()
                                           throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setEnableCryptoHardwareSupport

    void setEnableCryptoHardwareSupport(boolean enableCryptoHardwareSupport)

### hasEnableCryptoHardwareSupport

    boolean hasEnableCryptoHardwareSupport()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD